cgD3D9SetTextureParameter(3)

NAME
cgD3D9SetTextureParameter - sets the value of a texture parameter

SYNOPSIS
  #include <Cg/cgD3D9.h>
  void cgD3D9SetTextureParameter( CGparameter param,
                                  IDirect3DBaseTexture9 * texture );

PARAMETERS

param
    The texture parameter that will be set.

texture
    An D3D texture to which the parameter will be set.

RETURN VALUES
None.

DESCRIPTION
cgD3D9SetTextureParameter sets the value of a texture parameter to a given D3D9 texture object.

cgD3D9SetTextureParameter is to be used for setting texture parameters in a CgFX effect instead of cgD3D9SetTexture.

EXAMPLES
  IDirect3DTexture9 *myTexture;
  // Assume myTexture is loaded here...
  // param is an effect sampler parameter
  cgD3D9SetTextureParameter( param, myTexture );

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter handle.

HISTORY
cgD3D9SetTextureParameter was introduced in Cg 1.5.

SEE ALSO
cgD3D9GetTextureParameter, cgD3D9SetManageTextureParameters